class_name Heal50Upgrade extends "res://scenes/upgrade/upgrade.gd"

func _init() -> void:
	upgradeName = "50% Health"
	description = "Heals 50% of Health"

func select():
	if Globals.getPlayer() != null:
		Globals.getPlayer().heal(Globals.getPlayer().maxHealth/2)
